rte_port_ring_reader_frag_params(3)

NAME
rte_port_ring_reader_frag_params

SYNOPSIS

#include <rte_port_frag.h>

  Data Fields

struct rte_ring * ring
uint32_t mtu
uint32_t metadata_size
struct rte_mempool * pool_direct
struct rte_mempool * pool_indirect

Detailed Description

ring_reader_ipv4_frag port parameters

Definition at line 35 of file rte_port_frag.h.

Field Documentation

  struct rte_ring* ring
Underlying single consumer ring that has to be pre-initialized.

Definition at line 37 of file rte_port_frag.h.

  uint32_t mtu
Maximum Transfer Unit (MTU). Maximum IP packet size (in bytes).

Definition at line 40 of file rte_port_frag.h.

  uint32_t metadata_size
Size of application dependent meta-data stored per each input packet that has to be copied to each of the fragments originating from the same input IP datagram.

Definition at line 45 of file rte_port_frag.h.

  struct rte_mempool* pool_direct
Pre-initialized buffer pool used for allocating direct buffers for the output fragments.

Definition at line 49 of file rte_port_frag.h.

  struct rte_mempool* pool_indirect
Pre-initialized buffer pool used for allocating indirect buffers for the output fragments.

Definition at line 53 of file rte_port_frag.h.

Author

Generated automatically by Doxygen for DPDK from the source code.